> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update a user's email, role, partner, extension, or admin tenants



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/users/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/users/{id}:
    patch:
      tags:
        - Users
      summary: Update User
      description: Update a user's email, role, partner, extension, or admin tenants
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: User ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                partnerId:
                  type: number
                  exclusiveMinimum: 0
                userRoleId:
                  type: number
                  exclusiveMinimum: 0
                extensionId:
                  type: number
                  exclusiveMinimum: 0
                email:
                  type: string
                  format: email
                  pattern: >-
                    ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                adminTenantIds:
                  type: array
                  items:
                    type: number
                    exclusiveMinimum: 0
              additionalProperties: false
      responses:
        '200':
          description: Updated user
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  email:
                    anyOf:
                      - type: string
                      - type: 'null'
                  title:
                    anyOf:
                      - type: string
                      - type: 'null'
                  tenantId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  timezone:
                    anyOf:
                      - type: string
                      - type: 'null'
                  userRoleId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  partnerId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  avatarPath:
                    anyOf:
                      - type: string
                      - type: 'null'
                  avatarThumbnailPath:
                    anyOf:
                      - type: string
                      - type: 'null'
                  extension:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: number
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          number:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                          - number
                        additionalProperties: {}
                      - type: 'null'
                  userRole:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: number
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                        additionalProperties: {}
                      - type: 'null'
                  partner:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: number
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                        additionalProperties: {}
                      - type: 'null'
                  pharmacyLocations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          anyOf:
                            - type: number
                            - type: 'null'
                        type:
                          anyOf:
                            - type: string
                            - type: 'null'
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - type
                        - name
                      additionalProperties: {}
                  adminTenants:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - name
                      additionalProperties: {}
                required:
                  - id
                  - email
                  - title
                  - tenantId
                  - timezone
                  - userRoleId
                  - partnerId
                  - avatarPath
                  - avatarThumbnailPath
                  - extension
                  - userRole
                  - partner
                  - pharmacyLocations
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````